<?

class fmWait_disk_stop extends Form_children {
	public $fmName;
	public $cur_sec = 0;
	public $start_sec = 0; // отсчет будет идти в обратную сторону до нуля
	public $status = 'stop';

	function __construct() {
		parent::__construct('fmWait_disk_stop');
	}

	// открытие формы
	function open() {
		parent::open();
	}

	// закрытие формы
	function close() {
		$this->timer_stop();

		parent::close();
	}

	// sec - секунды для таймера
	function timer_run($sec) {
		GLOBAL $log;
		
		$log->line("Ждем $sec секунд пока диск успокоится");

		$this->start_sec = $this->cur_sec = $sec;
		$this->status = 'run';

		$this->ui('timer')->enabled = 1;
		$this->ui('timer_display')->text = $this->cur_sec;
	}

	function timer_stop() {
		$this->ui('timer')->enabled = 0;
		$this->status = 'stop';
	}

	function timer_iteration() {
		GLOBAL $log;

		//$log->line('timer_iteration');

		$this->cur_sec --;
		$this->ui('timer_display')->text = $this->cur_sec;

		if($this->cur_sec <= 0) {
			// закрытие формы
			$this->close();
		}
	}


}

?>